## fnott 1.6.0+ds

=== meson_options.txt ===
option('docs', type: 'feature',
       description: 'Build and install documentation (man pages, example fnott.ini, readme, license etc).')

option('systemd-units-dir', type: 'string', value: '',
      description: 'Where to install the systemd service files (absolute path). Default: ${systemduserunitdir}')

## fnott 1.4.1+ds

=== debian/changelog ===
fnott (1.4.1+ds-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:57 +1100

fnott (1.4.1+ds-1build2) noble; urgency=medium

  * Rebuild against new libfcft4t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 17:01:43 +0100

fnott (1.4.1+ds-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:30:26 +0000

fnott (1.4.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #997020)

 -- Birger Schacht <birger@debian.org>  Sun, 03 Sep 2023 17:01:47 +0200

=== debian/control ===
Source: fnott
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               ninja-build,
               libfontconfig-dev,
               libfreetype-dev,
               libpixman-1-dev,
               libpng-dev,
               libwayland-dev,
               libwlroots-dev,
               libdbus-1-dev,
               libtllist-dev,
               libfcft-dev,
               pkg-config,
               scdoc,
	       libnanosvg-dev
Standards-Version: 4.6.2
Homepage: https://codeberg.org/dnkl/fnott
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/fnott.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/fnott

Package: fnott
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight notification daemon for wlroots-based compositors
 Fnott is a keyboard driven and lightweight notification daemon for
 wlroots-based Wayland compositors.
 .
 It implements (parts of) the Desktop Notification Specification.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	rm -rf debian/fnott/usr/share/doc/fnott/LICENSE

## fnott 1.6.0+ds

=== debian/changelog ===
fnott (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 23 Jun 2024 21:01:30 +0200

fnott (1.5.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control
   + Replace Build-Dep: pkg-config with pkgconf
   + Set min version for Build-Dep: meson
   + Add Build-Dep: wayland-protols with min version
  * d/copyright: Bump years

 -- Birger Schacht <birger@debian.org>  Fri, 26 Apr 2024 11:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: fnott
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson,
+               meson (>=0.59),
                ninja-build,
                libfontconfig-dev,
                libfreetype-dev,
@@ -16,9 +15,10 @@
                libdbus-1-dev,
                libtllist-dev,
                libfcft-dev,
-               pkg-config,
+               pkgconf,
                scdoc,
-	       libnanosvg-dev
+               libnanosvg-dev,
+               wayland-protocols (>=1.32)
 Standards-Version: 4.6.2
 Homepage: https://codeberg.org/dnkl/fnott
 Rules-Requires-Root: no

## fnott 1.7.0+ds

=== debian/changelog ===
fnott (1.7.0+ds-2) unstable; urgency=medium

  * d/copyright: Add missing files to Files-Exclude

 -- Birger Schacht <birger@debian.org>  Fri, 02 Aug 2024 19:00:25 +0200

fnott (1.7.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to use system nanosvg, the build system now supports that
  * d/control:
   + bump Standards-Version to 4.7.0 (no changes required)
   + add systemd-dev to dependencies to make build system install systemd
     user service
  * Drop custom systemd user service, use upstreams instead
  * Drop custom dbus service file, use upstreams instead

 -- Birger Schacht <birger@debian.org>  Fri, 02 Aug 2024 12:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                pkgconf,
                scdoc,
                libnanosvg-dev,
-               wayland-protocols (>=1.32)
-Standards-Version: 4.6.2
+               wayland-protocols (>=1.32),
+               systemd-dev
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/dnkl/fnott
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/fnott.git

## fnott 1.7.1+ds

=== debian/changelog ===
fnott (1.7.1+ds-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 08 Feb 2025 10:01:10 +0100

fnott (1.7.0+ds-3) unstable; urgency=medium

  * Drop unused build dependency libwlroots-dev (Closes: #1092407)

 -- Birger Schacht <birger@debian.org>  Wed, 08 Jan 2025 14:54:39 +0100

## fnott 1.8.0+ds

=== meson_options.txt ===
option('docs', type: 'feature',
       description: 'Build and install documentation (man pages, example fnott.ini, readme, license etc).')
option('system-nanosvg', type: 'feature', value: 'disabled',
       description: 'use system\'s nanosvg instead of the bundled version')
option('systemd-units-dir', type: 'string', value: '',
      description: 'Where to install the systemd service files (absolute path). Default: ${systemduserunitdir}')

=== debian/changelog ===
fnott (1.8.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Remove pristine-tar option from debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Thu, 21 Aug 2025 20:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                libpixman-1-dev,
                libpng-dev,
                libwayland-dev,
-               libwlroots-dev,
                libdbus-1-dev,
                libtllist-dev,
                libfcft-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dsystem-nanosvg=enabled
+
 execute_after_dh_auto_install:
 	rm -rf debian/fnott/usr/share/doc/fnott/LICENSE

=== debian/watch ===
version=4
opts="mode=git,repacksuffix=+ds,dversionmangle=auto" \
https://codeberg.org/dnkl/fnott refs/tags/v?(\d\S+)
